Take the 2-minute tour ×
Programmers Stack Exchange is a question and answer site for professional programmers interested in conceptual questions about software development. It's 100% free, no registration required.

My company is building a website with database. Programmer's used PHP 5.0. My Service Provider (shared) in the meantime upgraded to PHP 5.3.0.

Fixes have been on going and seem endless...

Do I move to VPS and install older PHP or should we rebuild with newer PHP?

When working remotely with programers what is the protocol regarding delivery of all code? Please what is the industry standard? I need an independent to review their work. How should this be approached?

share|improve this question

closed as not constructive by gnat, World Engineer, Matthieu, Jim G., Walter Aug 22 '12 at 11:57

As it currently stands, this question is not a good fit for our Q&A format. We expect answers to be supported by facts, references, or expertise, but this question will likely solicit debate, arguments, polling, or extended discussion. If you feel that this question can be improved and possibly reopened, visit the help center for guidance.If this question can be reworded to fit the rules in the help center, please edit the question.

5  
I think you have a few completely unrelated questions here. You might want to split them to separate questions. –  FrustratedWithFormsDesigner May 7 '12 at 18:39
    
The title and body isn't relevant to each-other, I refer you to PHP-ChangeLog :| –  Huckleberry Finn May 7 '12 at 21:14
add comment

1 Answer

As a rule of thumb, I try to always keep my teams on the newest versions of languages. I've been in too many groups that put off upgrading and end up backing themselves into a corner when they want to upgrade later (usually due to a new language feature or performance issues).

Personally, I think that the fact that you are running into so many issues when trying to upgrade means that your code quality might not be where you want it to be. I'd recommend upgrading and fixing all of your issues before proceeding with any new development.

Of course, this advice comes from someone that hasn't seen your codebase or schedule, so feel free to ignore my advice if it doesn't make sense in within the context of your project.

share|improve this answer
    
+1... Absolutely want to stay up to date. The longer you wait, the harder it will be to upgrade (and the more it'll end up costing you). As a PHP-specific tip, you may be able to change the default error reporting to hide some of the stricter messages (deprecation notices, strict warnings, etc. - those are all new). –  Adrian Schneider May 7 '12 at 20:41
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.